#ifndef __CIRCLE__
#define __CIRCLE__

//#define __CIRCLE_DEBUG__
//#define __CIRCLE_FULL_DEBUG__

// 色の重心位置と面積を求める場合
#define __CIRCLE_CENTER__
// Hough 変換で円を抽出する場合
//#define __CIRCLE_HOUGH__

#define IMG_CIR_X 320
#define IMG_CIR_Y 240

#include <cv.h>

//extern CvCapture *capture;

extern void color_binarize(const IplImage *img_src, IplImage *img_dst, int code, CvScalar lower, CvScalar upper);

extern int  circle_camera_set();
extern int  circle_create();
extern void circle_cancel();
extern void circle_set_device(int device);
extern void circle_get_cg(int *x_g, int *y_g, int *ratio_g);
extern void circle_get_cir(int *x_g, int *y_g, int *radius_g);
extern int  circle_detect();

extern int  circle_camera_set2();
extern int  circle_create2();
extern void circle_cancel2();
extern void circle_set_device2(int device);
extern void circle_get_cg2(int *x_g, int *y_g, int *ratio_g);
extern void circle_get_cir2(int *x_g, int *y_g, int *radius_g);
extern int  circle_detect2();


#endif
