#ifndef __POSITION__
#define __POSITION__

extern void position_set_coord(double x_s, double y_s, double dir_s);
extern void position_straight(double dist);
extern void position_rotate(double angle);
extern void position_correct(double dist);
extern void position_get_coord(double *x_g, double *y_g, double *dir_g);
extern char position_get_area();

// XL, YL : フィールドの大きさ [cm]
//#define XL 400
//#define YL 400
#define XL 200
#define YL 200

// DX, DY : フィールド中央にある障害物の大きさ [cm]
//#define DX 100
//#define DY 100
#define DX 30
#define DY 30

// S: フィールド位置を定義する際の壁とのスペース [cm]
//#define S 20
#define S 0

#endif
