#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <pthread.h>
#include <sys/time.h>
#include "audio.h"
#include "flag.h"

static void *thread_code(void*);
static pthread_t task_id;

static char command[50];
static int num = 0;
static int num_prev = 0;
static int saisei_flag = 0;

void *thread_code(void *t){


	//printf("ket watch thread start\n");

	while(1){

		if( num == 0 )  sprintf(command," ");
		//if( num == 1 )  sprintf(command,"aplay audio/search.wav");
		if( num == 1 )  sprintf(command,"aplay audio/search2.wav");
		if( num == 2 )  sprintf(command,"aplay audio/find.wav");
		if( num == 3 )  sprintf(command,"aplay audio/chase.wav");
		if( num == 4 )  sprintf(command,"aplay audio/lost.wav");
		if( num == 5 )  sprintf(command,"aplay audio/otto.wav");
		if( num == 6 )  sprintf(command,"aplay audio/batt_off.wav");
		if( num == 7 )  sprintf(command,"aplay audio/batt_low.wav");
		if( num == 8 )  sprintf(command,"aplay audio/ready.wav");

		system(command);
		saisei_flag = 1;
		num_prev = num;

		usleep(1000*1000);
	}

	return 0;
}

void audio_setnum(int data){
	//printf("set audio num = %d\n", data);
/*
	if( data != num_prev){
		if(saisei_flag == 1){
			num = data;
			if( num != num_prev ) saisei_flag = 0;
		}
	}
*/
	num = data;

	return;
}

int audio_create(){
	int policy;
	struct sched_param param;
	
	// スレッドの生成
	if(pthread_create(&task_id, NULL, thread_code, NULL) != 0){
		printf("failed to create circle thread\n");
		return -1;
	}
	
	// スレッドパラメータの確認
	pthread_getschedparam(task_id, &policy, &param);
	printf("key_watch thread created (plicy = %s, priority = %d)\n",
		((policy == SCHED_FIFO) ? "SCHED_FIFO" : (policy == SCHED_RR) ? "SCHED_RR" : (policy == SCHED_OTHER) ? "SCHED_OTHER" : "???"),
		param.sched_priority);

	return 0;
}

void audio_cancel(){
	pthread_cancel(task_id);
	printf("circle thread canceled\n");
}

