/* 回避モード

	障害物を回避する。
	反転して、指定距離進む。

*/
    
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>
#include "direction.h"
#include "io.h"
#include "position.h"
#include "request.h"
#include "routine.h"
#include "flag.h"
#include "audio.h"

int speed, dist;

int routine_avoid(){

	run_state_t run_state;
	int dist_ref, angle_ref;

	const int speed_str = 40; // 直進速度 [cm/s]
	const int speed_rot = 60; // 回転速度 [deg/s]


	printf("\n 回避ルーチン開始\n");

	stop_flag = 0; // stop_flag をクリアする

	audio_setnum(5);

	//反転する
	angle_ref = 180;
	printf("回避モード : 回転[%d]\n", angle_ref);
	request_set_runmode(ROT, speed_rot , angle_ref);

	while(1){

		if( quit_flag == 1 ) break;

		request_get_runmode(&run_state, &speed, &dist);
               	if( run_state == STP ) {
			clear_run_flag();
			break;
		}
		//動作中に止まってしまった場合は停止して一旦回避モードを抜ける
		//if( stop_flag == 1){
		//	request_set_runmode(STP, 0 , 0);
		//	return 0; 
		//}	

		usleep(1000);
	}

	//指定距離直進する
	dist_ref = 40;
	printf("回避モード : 直進[%d]\n", dist_ref);
	request_set_runmode(STR, speed_str, dist_ref);
	while(1){

		if( quit_flag == 1 ) break;

               	request_get_runmode(&run_state, &speed, &dist);
               	if( run_state == STP ) {
			clear_run_flag();
			break;
		}
		//動作中に止まってしまった場合は停止して一旦回避モードを抜ける
		//if( stop_flag == 1){
		//	request_set_runmode(STP, 0 , 0);
		//	return 0; 
		//}	

		usleep(1000);
	}

	avoid_flag = 0;

	return 0;
}


