#include <stdio.h>
#include <opencv/highgui.h>
#include <sys/time.h>
#include "camera.h"

int main(){

        char buf[256];
        int device = 0;
	//int width = 640;
	//int height = 480;
	int width = 320;
	int height = 240;
	CvCapture *capture; 

	//カメラデバイスの設定 1台目:0、2台目:1
        printf("device number? [ 0 to 3 ]\n");
        fgets(buf, sizeof(buf), stdin);
        sscanf(buf, "%d", &device);

/*
	//CvCapture *capture = cvCreateCameraCapture(device);
	capture = cvCreateCameraCapture(device);
	if(capture == NULL){
		return -1;
	}
*/

	camera_set(device);
	capture = camera_get_cap(device);

	cvSetCaptureProperty(capture,CV_CAP_PROP_FRAME_WIDTH,width);
	cvSetCaptureProperty(capture,CV_CAP_PROP_FRAME_HEIGHT,height);

	char name[] = "usbcam";
	cvNamedWindow(name,CV_WINDOW_AUTOSIZE);

	IplImage *image;
	IplImage *img_input;

	while(cvWaitKey(1) == -1){

		//image = cvQueryFrame(capture);
		//cvShowImage(name,image);

        	image = cvQueryFrame(capture);
        	cvSaveImage("./img/test_input.jpg", image, 0);
        	if((img_input = cvLoadImage("./img/test_input.jpg", CV_LOAD_IMAGE_ANYCOLOR)) == NULL) return -1;
		cvShowImage(name,img_input);

	}

	cvDestroyWindow(name);
	cvReleaseCapture(&capture);

	return 0;
}
